﻿@model PagedList.IPagedList<Project_63135350.Models.Model_63135350.Order_63135350>
@using PagedList.Mvc;
@{
    ViewBag.Title = "Danh sách đơn hàng";
}
@section naviheader{
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Home_63135350" class="nav-link">Trang chủ</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Order_63135350" class="nav-link">Danh sách đơn hàng</a>
        </li>
    </ul>
}


<!-- Main content -->
<section class="content">

    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Danh sách đơn hàng</h3>
        </div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Mã đơn hàng</th>
                        <th>Tên khách hàng</th>
                        <th>Phone</th>
                        <th>Tiền</th>
                        <th>Trạng thái</th>
                        <th>Ngày tạo</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null && Model.Any())
                    {
                        var i = ((ViewBag.Page - 1) * ViewBag.PageSize) + 1;
                        foreach (var item in Model)
                        {
                            <tr>
                                <td>@i</td>
                                <td>@item.Code</td>
                                <td>@item.CustomerName</td>
                                <td>@item.Phone</td>
                                <td>@Project_63135350.Common.Common_63135350.FormatNumber(item.TotalAmount, 0)đ</td>
                                <td>@(item.TypePayment==1?"Chờ thanh toán":"Đã thanh toán")</td>
                                <td>@item.CreatedDate.ToString("dd/MM/yyyy")</td>
                                <td>
                                    <a href="#" class="btn btn-sm btn-danger btnCapNhat" data-id="@item.Id">Cập nhật</a>
                                </td>
                            </tr>
                            i++;
                        }
                    }
                </tbody>
            </table>

            <div class="row">
                <div class="col-6"></div>
                <div class="col-6" style="text-align: right">
                    @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
                </div>
            </div>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">

        </div>
        <!-- /.card-footer-->
    </div>
    <!-- /.card -->

</section>
<!-- /.content -->
<div class="modal fade" id="modal-default">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Cập nhật trạng thái</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="txtOrderId" value="0" />
                <div class="form-group">
                    <label>Trạng thái</label>
                    <select class="form-control" id="ddTrangThai">
                        <option value="2">
                            Đã thanh toán
                        </option>
                    </select>
                </div>
            </div>
            <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>
                <button type="button" class="btn btn-primary" id="btnLuu">Lưu</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

@section scripts{
    <script>
        $(document).ready(function () {
            $('body').on('click', '.btnCapNhat', function () {
                var id = $(this).data("id");
                $('#txtOrderId').val(id);
                $('#modal-default').modal('show');
            });

            $('body').on('click', '#btnLuu', function () {
                var id = $('#txtOrderId').val();
                var tt = $('#ddTrangThai').val();
                $.ajax({
                    url: '/Admin/Order_63135350/UpdateTT',
                    type: 'POST',
                    data: { id: id, trangthai: tt },
                    success: function (res) {
                        if (res.Success) {
                            location.reload();
                        }
                    }
                });
            });
        });
    </script>
}
